MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008563Community[OCCT] OCCT:Visualizationpublic2005-04-08 08:092011-12-15 16:37
Reporterszv 
Assigned Toael 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.2.3 
Summary0008563: Incorrect comparison in StdPrs_ToolShadedShape::Normal
DescriptionThis problem was reported in the Forum thread
http://www.opencascade.org/org/forum/thread_7915/?add_id=7915. [^]

In StdPrs_ToolShadedeShape.cxx, lione 73 in function:

void StdPrs_ToolShadedShape::Normal(const TopoDS_Face& aFace,
Poly_Connect& pc,
TColgp_Array1OfDir& Nor)

the original line is:
if (!S.GetType() == GeomAbs_Plane) {

I think it should be sg like:
if (S.GetType() != GeomAbs_Plane) {
... // lots of normal calculation
}
else {
... //one normal calculation
}
Additional information
and documentation updates
Documentation remark, added by ael 2005-07-01 07:40:10:

Changes:
Code correction
Modified entities:
StdPrs/ToolShadedShape/Normal
TagsNo tags attached.
Test case number
Attached Filesgz file icon ael-OCC8563-v1.tar.gz (1,380 bytes) 2005-07-01 07:40

- Relationships

-  Notes
(0010098)
bugmaster (administrator)
2005-07-11 12:42

Dear APV,

Please add fix to bug :

Created an attachment (ael-OCC8563-v1.tar.gz)
Patch

to common testing workbench for ordinary bugs

Bugmaster
(0010099)
apv (tester)
2005-07-22 13:30

Dear BugMaster,

According to the your recomendation, the source file for fixing OCC8563 has been
put to the queue KAS:dev:ros.

- Issue History
Date Modified Username Field Change
2005-06-06 12:01 bugmaster Assigned To bugmaster => san
2005-06-06 12:01 bugmaster Status new => assigned
2005-06-07 10:42 san Assigned To san => ael
2005-07-07 10:35 vtn Status assigned => resolved
2005-07-22 17:57 mkv CC => mkv
2005-07-25 13:55 bugmaster Status resolved => tested
2005-07-25 14:00 bugmaster Status tested => verified
2005-08-03 15:19 bugmaster Status verified => closed
2005-08-03 15:19 bugmaster Resolution @0@ => fixed
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-12-15 16:37 abv Description Updated View Revisions
2011-12-15 16:37 abv Additional Information Updated View Revisions
2011-12-15 16:37 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker